Bug 494125 - KMS does not get EDID but Xorg with nomodeset does
KMS does not get EDID but Xorg with nomodeset does
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-04 15:30 EDT by Ravikiran Rajagopal
Modified: 2009-08-10 16:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 16:45:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with modeset (26.46 KB, text/plain)
2009-04-08 07:21 EDT, Ravikiran Rajagopal
no flags Details
dmesg with nomodeset (25.66 KB, text/plain)
2009-04-08 07:22 EDT, Ravikiran Rajagopal
no flags Details

  None (edit)
Description Ravikiran Rajagopal 2009-04-04 15:30:36 EDT
Description of problem:
With kernel modesetting on F10 kernels (up to and including 2.6.27.21-170.2.56.fc10.x86_64), my monitor's EDID information is not obtained. As a result, we drop into 800x600 mode rather than the 1024x768 mode that should have been used. Relevant part of dmesg:

Apr  4 12:05:44 localhost kernel: [drm] Initialized drm 1.1.0 20060810
Apr  4 12:05:44 localhost kernel: pci 0000:01:00.0: PCI INT A -> GSI 16 (level,
low) -> IRQ 16
Apr  4 12:05:44 localhost kernel: [drm] Forcing AGP to PCIE mode
Apr  4 12:05:44 localhost kernel: ATOM BIOS: RADEON X700 Pro RIALTO ATOMBIOS
Apr  4 12:05:44 localhost kernel: [drm] Detected VRAM RAM=262144K, accessible=262144K, BAR=262144K
Apr  4 12:05:44 localhost kernel: i2c-adapter i2c-0: unable to read EDID block.
Apr  4 12:05:44 localhost kernel: pci 0000:01:00.0: VGA-1: no EDID data
Apr  4 12:05:44 localhost kernel: i2c-adapter i2c-1: unable to read EDID block.
Apr  4 12:05:44 localhost kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Apr  4 12:05:44 localhost kernel: i2c-adapter i2c-0: unable to read EDID block.
Apr  4 12:05:44 localhost kernel: pci 0000:01:00.0: VGA-1: no EDID data
Apr  4 12:05:44 localhost kernel: allocated ffff88003dadd000 800x600 fb: 0x000c0000, bo ffff88003d62bcc0
Apr  4 12:05:44 localhost kernel: Console: switching to colour frame buffer device 100x37
Apr  4 12:05:44 localhost kernel: [drm] DAC-6: set mode 800x600 a
Apr  4 12:05:44 localhost kernel: fb0: radeondrmfb frame buffer device
Apr  4 12:05:44 localhost kernel: registered panic notifier
Apr  4 12:05:44 localhost kernel: [drm] Loading R400 Microcode
Apr  4 12:05:44 localhost kernel: [drm] Num pipes: 2
Apr  4 12:05:44 localhost kernel: [drm] writeback test succeeded in 1 usecs
Apr  4 12:05:44 localhost kernel: [drm] Initialized radeon 1.29.0 20080528 on minor 0

The video card is an ATI X700Pro connected to a Dell monitor on the VGA port. The specifications of the monitor (as correctly diagnosed in Xorg.0.log after rebooting with nomodeset):

Atom Get EDID success
(II) RADEON(0): EDID vendor "DEL", prod id 40965
(II) RADEON(0): Using EDID range info for horizontal sync
(II) RADEON(0): Using EDID range info for vertical refresh
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 77
7 806 -hsync -vsync (48.4 kHz)
(II) RADEON(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 62
8 +hsync +vsync (37.9 kHz)
(II) RADEON(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500
 -hsync -vsync (37.5 kHz)
(II) RADEON(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525
 -hsync -vsync (31.5 kHz)
(II) RADEON(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449
 -hsync +vsync (31.5 kHz)
(II) RADEON(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 77
2 800 +hsync +vsync (60.0 kHz)
(II) RADEON(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 77
7 806 -hsync -vsync (48.4 kHz)
(II) RADEON(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 62
5 +hsync +vsync (46.9 kHz)
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 1
(II) RADEON(0): EDID data from the display on output: VGA-0 ----------------------
(II) RADEON(0): Manufacturer: DEL  Model: a005  Serial#: 809xxxxxx
(II) RADEON(0): Year: 2003  Week: 29
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Analog Display Input,  Input Voltage Level: 0.700/0.700 V
(II) RADEON(0): Sync:  Separate
(II) RADEON(0): Max Image Size [cm]: horiz.: 31  vert.: 23
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) RADEON(0): Default color space is primary color space
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.640 redY: 0.340   greenX: 0.279 greenY: 0.619
(II) RADEON(0): blueX: 0.140 blueY: 0.069   whiteX: 0.310 whiteY: 0.330
(II) RADEON(0): Supported VESA Video Modes:
(II) RADEON(0): 720x400@70Hz
(II) RADEON(0): 640x480@60Hz
(II) RADEON(0): 640x480@75Hz
(II) RADEON(0): 800x600@60Hz
(II) RADEON(0): 800x600@75Hz
(II) RADEON(0): 1024x768@60Hz
(II) RADEON(0): 1024x768@75Hz
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 65.0 MHz   Image Size:  304 x 228 mm
(II) RADEON(0): h_active: 1024  h_sync: 1048  h_sync_end 1184 h_blank_end 1344 h_border: 0
(II) RADEON(0): v_active: 768  v_sync: 771  v_sync_end 777 v_blanking: 806 v_border: 0
(II) RADEON(0): Serial No: 8WxxxxxH0BKL
(II) RADEON(0): Monitor name: DELL E151FPb
(II) RADEON(0): Ranges: V min: 56 V max: 76 Hz, H min: 31 H max: 60 kHz, PixClock max 80 MHz
(II) RADEON(0): EDID (in hex):
(II) RADEON(0):         00ffffffffffff0010ac05a04c4b4230
(II) RADEON(0):         1d0d0103681f1778eecaf6a357479e23
(II) RADEON(0):         114f54a54a0001010101010101010101
(II) RADEON(0):         01010101010164190040410026301888
(II) RADEON(0):         360030e410000018000000ff00385732
(II) RADEON(0):         333433374830424b4c20000000fc0044
(II) RADEON(0):         454c4c20453135314650620a000000fd
(II) RADEON(0):         00384c1f3c08000a20202020202000c4

Note: The serial numbers in the clear have been scrubbed above (but of course still available).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot up.
2.
3.
  
Actual results:
Resolution set to 800x600.


Expected results:
Resolution set to 1024x768.

Additional info:
With modesetting, switching to console VTs from the X VT produces a blank screen.
Comment 1 Chuck Ebbert 2009-04-07 08:20:28 EDT
Can you upload the boot messages with and without modesetting enabled?

1. Boot with modesetting enabled.
2. Reboot with it disabled.
3. Upload /var/log/dmesg and /var/log/dmesg.old as separate plain-text attachments.
Comment 2 Ravikiran Rajagopal 2009-04-08 07:21:58 EDT
Created attachment 338694 [details]
dmesg with modeset

The previous boot with modeset crashed on trying to log into a compositing effects-enabled desktop.
Comment 3 Ravikiran Rajagopal 2009-04-08 07:22:37 EDT
Created attachment 338695 [details]
dmesg with nomodeset
Comment 4 Chuck Ebbert 2009-04-23 14:08:20 EDT
Possibly fixed in 2.6.29.2-45.rc1
Comment 5 Ravikiran Rajagopal 2009-08-10 16:45:47 EDT
Fixed in F11 kernel -213. Closing.

Note You need to log in before you can comment on or make changes to this bug.